<?php
// Get the raw POST data
$data = file_get_contents("php://input");

// Define the file to store the data
$logFile = __DIR__ . "/zkteco_data.log";

// Check if data is received
if ($data) {
    // Append the data to the log file
    file_put_contents($logFile, "[" . date("Y-m-d H:i:s") . "] " . $data . PHP_EOL, FILE_APPEND);
    
    // Send a response back to the ZKTeco device
    echo "Data received and logged successfully.";
} else {
    // Log if no data was received
    file_put_contents($logFile, "[" . date("Y-m-d H:i:s") . "] No data received." . PHP_EOL, FILE_APPEND);
    
    echo "No data received.";
}
?>
